tol = 0.01;

blockWidth = 50;
blockHeight = 20; 
blockDepth =12;
capYOffset = 1;

module screwHole(pos, size, rot = [-90, 0, 0]){
    // beam hole
    translate(pos)
    rotate(rot)
    cylinder(r = size / 2, h = blockDepth + 2 * tol, $fn = 20);    
}

module divot(pos){
    
}

difference(){
    cube([blockWidth, blockDepth, blockHeight]);
    // capillary hole 1.2
    translate([-tol, blockDepth / 2 + capYOffset, blockHeight -5])
    rotate([0, 90, 0])
    cylinder(r = 0.6000, h = blockWidth + 2 * tol, $fn = 20);

    // top aperture
    translate([blockWidth /2, blockDepth /2, blockHeight - 4 + tol])
    cube([blockWidth - 30 , blockDepth + 2 * tol, 8], center = true);

    // screw holes
    screwHole([blockWidth / 2, -tol, 8], 3.6);
    screwHole([blockWidth / 2 - 7.5, -tol, 5], 2.6);
    screwHole([blockWidth / 2 + 7.5, -tol, 5], 2.6);
    screwHole([blockWidth / 2 - 17.5, -tol, 5], 2.6);
    screwHole([blockWidth / 2 + 17.5, -tol, 5], 2.6);

    // 28G holes
    screwHole([-tol, blockDepth / 2 + capYOffset, blockHeight - 5], 6, [0, 90, 0]);
    screwHole([blockWidth + tol, blockDepth / 2 + capYOffset, blockHeight - 5], 6, [0, -90, 0]);

    // canted sections (maxwell kinematics)
    translate([blockWidth / 2, 0, 15 / 2 - tol])
    rotate([0, 0, 45])
    cube([2, 2, 15], center = true);
    translate([blockWidth /2, 0, blockHeight - 3])
    rotate([0, 90, 0])
    rotate([0, 0, 45])
    cube([2, 2, blockWidth + 2* tol], center = true);
    
    // canted section (front)
    translate([blockWidth /2 - 10, blockDepth, blockHeight - 6.5])
    rotate([-45, 0, 0])
    rotate([0, 90, 0])
    cube([2, 2, 20]); //, center = true);

} 